<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>index</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
</head>

<body>
    <p id="cmt2dev">Test Page for Javascrip Tasks. F5 to run code. </p>
    <div class="row form-group">
        <button class="btn btn-info m-1" onclick="onBtnGetAllOrderClick()">Call api get all orders!</button>
        <button class="btn btn-success m-1" onclick="onCreateOrderClick()">Call api create order!</button>
        <button class="btn btn-warning m-1" onclick="onGetOrderByIdClick()">Call api get order by id!</button>
        <button class="btn btn-primary m-1" onclick="onUpdateOrderClick()">Call api update order!</button>
        <button class="btn btn-info m-1" onclick="onCheckVoucherIdClick()">Call api check voucher by id!</button>
        <button class="btn btn-danger m-1" onclick="onGetDrinkListClick()">Call api Get drink list!</button>
    </div>
</body>
<script>
    const gBASE_URL = "http://203.171.20.210:8080/devcamp-pizza365";

    async function fetchApi(url, options) {
        var response = await fetch(url, options);
        var data = await response.json();
        console.log(data);
        // fetch(url, options)
        //     .then((response) => {
        //         return response.json();
        //     })
        //     .then((data) => {
        //         console.log(data);
        //     })
        //     .catch((error) => {
        //         console.log(error);
        //     })
    }
    function onBtnGetAllOrderClick() {
        fetchApi(gBASE_URL + "/orders", {
            method: "GET"
        })
    }
    function onCreateOrderClick() {
        fetchApi(gBASE_URL + "/orders", {
            method: "POST",
            body: JSON.stringify({
                kichCo: "M",
                duongKinh: "25",
                suon: "4",
                salad: "300",
                loaiPizza: "HAWAII",
                idVourcher: "16512",
                idLoaiNuocUong: "PEPSI",
                soLuongNuoc: "3",
                hoTen: "Phạm Thanh Bình",
                thanhTien: "200000",
                email: "binhpt001@devcamp.edu.vn",
                soDienThoai: "0865241654",
                diaChi: "Hà Nội",
                loiNhan: "Pizza đế dày"
            }),
            headers: { "Content-Type": "application/json;charset=UTF-8" }

        })
    }
    function onGetOrderByIdClick() {
        let vOrderId = "GkUoNxCMy8";
        fetchApi(gBASE_URL + "/orders/" + vOrderId, {
            method: "GET",
        })
    }
    function onUpdateOrderClick() {
        let vOrderId = "180878";
        fetchApi(gBASE_URL + "/orders/" + vOrderId, {
            method: "PUT",
            body: JSON.stringify({
                trangThai: "confirmed"
            }),
            headers: { "Content-Type": "application/json;charset=UTF-8" }
        })
    }

    function onCheckVoucherIdClick() {
        let vVoucherId = 24864;
        fetchApi(gBASE_URL + "/voucher_detail/" + vVoucherId, {
            method: "GET",
        })
    }
    function onGetDrinkListClick() {
        
        fetchApi(gBASE_URL + "/drinks", {
            method: "GET",
        })
    }

</script>

</html>